Subject: Re: [PATCH] t0091: allow test in a repository without tags

From: Junio C Hamano <[email-masked]>
Date: Tue, 06 Feb 2024 10:33:29 -0800

Martin Ågren <[email-masked]> writes:

> GIT-VERSION-GEN seems to be careful to only use tags on the wanted form.
> My build generates a git version of "2.43.GIT", no "unknown..." stuff.
>
> I don't doubt that you've hit this, I just wonder which piece of the
> puzzle I'm missing.

I wonder that too.

I was experimenting with "seen" with the reftable.  I first created
a new and empty repository with "git init --ref-format=reftable" in
a brand new directory next to my primary working area, and then did
"git fetch --no-tags ../git.git/ master" or something to pull the
history without tags in.  After that I thought I was careful to make
sure I only ran the "seen" version of Git (all my other installations
of Git are unaware of reftable, and the version of Git on my regular
$PATH is not from the "seen" branch), but perhaps I screwed up at
some point and the mistake got stuck in the version file, or something
silly like that, perhaps.

>
>> -       # The beginning should match "git version --build-info" verbatim,
>> +       # The beginning should match "git version --build-options" verbatim,
>
> Correct, my thinko-typo, thanks for correcting.
>
>>         # but rather than checking bit-for-bit equality, just test some basics.
>> -       grep "git version [0-9]." system &&
>> +       grep "git version " system &&
>
> This matches the commit message, ok.
>
> Martin